# Uses of Interface
org.springframework.jdbc.support.xml.XmlBinaryStreamProvider

Packages that use XmlBinaryStreamProvider
Package
Description
org.springframework.jdbc.support.xml
Abstraction for handling fields of SQLXML data type.

## Uses of XmlBinaryStreamProvider in org.springframework.jdbc.support.xml

Methods in org.springframework.jdbc.support.xml with parameters of type XmlBinaryStreamProvider
Modifier and Type
Method
Description
`SqlXmlValue`
Jdbc4SqlXmlHandler.`newSqlXmlValue(XmlBinaryStreamProvider provider)`
Deprecated.
`SqlXmlValue`
SqlXmlHandler.`newSqlXmlValue(XmlBinaryStreamProvider provider)`
Deprecated.
Create a `SqlXmlValue` instance for the given XML data, as supported by the underlying JDBC driver.